%global distname requests-oauthlib
%global modname requests_oauthlib

Summary:       OAuthlib authentication support for Requests.
Name:          python-requests-oauthlib
Version:       1.3.1
Release:       5%{?dist}
License:       ISC
URL:           http://pypi.python.org/pypi/requests-oauthlib
Source0:       https://github.com/requests/requests-oauthlib/archive/v%{version}.tar.gz

BuildArch:     noarch

%description
This project provides first-class OAuth library support for python-request.

%package -n python3-%{distname}
Summary:       OAuthlib authentication support for Requests.
BuildRequires: python3-devel python3-setuptools python3-oauthlib python3-requests
BuildRequires: python3-pytest-mock python3-pytest python3-requests-mock
Requires:      python3-oauthlib python3-requests

%description -n python3-%{distname}
This project provides first-class OAuth library support for python-request.

%prep
%autosetup -n %{distname}-%{version} -p1
rm -rf %{distname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest -k "not testCanPostBinaryData and not test_content_type_override and not test_url_is_native_str"

%files -n python3-%{distname}
%license LICENSE
%doc README.rst HISTORY.rst requirements.txt AUTHORS.rst
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jan 11 2023 Shuo Wang <abushwang@tencent.com> - 1.3.1-1
- initial build
